const system = require("../../system");
const settings = require("../../../config/settings");
const uiconfig = system.getUiConfig2(settings.wxconfig.appId);
function exp(db, DataTypes) {
  var base = {
    //继承的表引用用户信息user_id
    code: DataTypes.STRING(100),
    name: DataTypes.STRING(500),
    sveItemCode: DataTypes.STRING(100),//项目操作码
    sveItemName: DataTypes.STRING(100),//项目名称
    mobilePic: DataTypes.STRING,//移动端产品图片
    producttype_id: DataTypes.INTEGER,//产品小类Id 
    serviceItemSnapshot: DataTypes.TEXT,//产品快照-serviceitem服务项目表-JSON
    channelProfitRate: {//渠道利润分成比率(只分订单中毛利润总额的分成)
      type: DataTypes.DECIMAL(12, 2),
      defaultValue: 0,
    },
    sveItemRateConfig: {//产品费率
      type: DataTypes.DECIMAL(12, 2),
      defaultValue: 7.00,
    },
    sveDiscountsRateConfig: {//优惠税率
      type: DataTypes.DECIMAL(12, 2),
      defaultValue: 0,
    },
    opNotes: DataTypes.STRING(500),//操作备注
    sourceTypeName: DataTypes.STRING(50),
    sourceType: {//来源类型 "order": "订单","expensevoucher": "费用单","receiptvoucher": "收款单", "trademark": "商标单"
      type: DataTypes.ENUM,
      values: Object.keys(uiconfig.config.pdict.source_type),
      set: function (val) {
        this.setDataValue("sourceType", val);
        this.setDataValue("sourceTypeName", uiconfig.config.pdict.source_type[val]);
      }
    },
    sourceOrderNo: DataTypes.STRING(100),//来源单号
  };
  return base;
}

module.exports = exp;
